package svn.checkout.test;

import org.eclipse.core.resources.IProject;
import org.eclipse.core.resources.ProjectScope;
import org.eclipse.core.runtime.preferences.IEclipsePreferences;
import org.eclipse.core.runtime.preferences.IScopeContext;
import org.osgi.service.prefs.BackingStoreException;

public class Utils {

    public static boolean projectMarkedAsMigrated(IProject project) {
        boolean configured = false;
        IScopeContext projectScope = new ProjectScope(project);
        IEclipsePreferences projectNode = projectScope.getNode("svn.checkout.test");
        boolean isMig = projectNode.getBoolean("IsMigrated", false);
        if (!isMig)
        {
        	System.out.println("IsMigrated is not set!!!!");
        	projectNode.putBoolean("IsMigrated", true);
        	try
        	{
        		projectNode.flush();
        	}
        	catch(BackingStoreException exc)
        	{
        		exc.printStackTrace();
        	}
        }
        else
        {
        	System.out.println("IsMigrated is set: "+isMig);
        }

        return configured;
    }
    
}
